ports/audio/alsa-tools/gitcompile-posix-opts.patch

301 lines
9.8 KiB
Diff

diff -Naur alsa-tools-1.2.5.orig/Makefile alsa-tools-1.2.5/Makefile
--- alsa-tools-1.2.5.orig/Makefile Thu May 27 16:09:02 2021
+++ alsa-tools-1.2.5/Makefile Mon Sep 12 18:34:28 2022
@@ -2,7 +2,7 @@
TOP = .
SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
- us428control usx2yloader vxloader echomixer ld10k1 qlo10k1 \
+ us428control usx2yloader vxloader echomixer ld10k1 \
hwmixvolume hdajackretask hda-verb hdajacksensetest
all:
diff -Naur alsa-tools-1.2.5.orig/as10k1/gitcompile alsa-tools-1.2.5/as10k1/gitcompile
--- alsa-tools-1.2.5.orig/as10k1/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/as10k1/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR" ; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/echomixer/gitcompile alsa-tools-1.2.5/echomixer/gitcompile
--- alsa-tools-1.2.5.orig/echomixer/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/echomixer/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/envy24control/gitcompile alsa-tools-1.2.5/envy24control/gitcompile
--- alsa-tools-1.2.5.orig/envy24control/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/envy24control/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/hda-verb/gitcompile alsa-tools-1.2.5/hda-verb/gitcompile
--- alsa-tools-1.2.5.orig/hda-verb/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/hda-verb/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1
diff -Naur alsa-tools-1.2.5.orig/hdajackretask/gitcompile alsa-tools-1.2.5/hdajackretask/gitcompile
--- alsa-tools-1.2.5.orig/hdajackretask/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/hdajackretask/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/hdajacksensetest/gitcompile alsa-tools-1.2.5/hdajacksensetest/gitcompile
--- alsa-tools-1.2.5.orig/hdajacksensetest/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/hdajacksensetest/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1
diff -Naur alsa-tools-1.2.5.orig/hdspconf/gitcompile alsa-tools-1.2.5/hdspconf/gitcompile
--- alsa-tools-1.2.5.orig/hdspconf/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/hdspconf/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/hdsploader/gitcompile alsa-tools-1.2.5/hdsploader/gitcompile
--- alsa-tools-1.2.5.orig/hdsploader/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/hdsploader/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1
diff -Naur alsa-tools-1.2.5.orig/hdspmixer/gitcompile alsa-tools-1.2.5/hdspmixer/gitcompile
--- alsa-tools-1.2.5.orig/hdspmixer/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/hdspmixer/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/hwmixvolume/gitcompile alsa-tools-1.2.5/hwmixvolume/gitcompile
--- alsa-tools-1.2.5.orig/hwmixvolume/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/hwmixvolume/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR" ; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/ld10k1/gitcompile alsa-tools-1.2.5/ld10k1/gitcompile
--- alsa-tools-1.2.5.orig/ld10k1/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/ld10k1/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
autoreconf -fi || exit 1
export CFLAGS='-O2 -Wall -pipe -g'
diff -Naur alsa-tools-1.2.5.orig/mixartloader/gitcompile alsa-tools-1.2.5/mixartloader/gitcompile
--- alsa-tools-1.2.5.orig/mixartloader/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/mixartloader/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1
diff -Naur alsa-tools-1.2.5.orig/pcxhrloader/gitcompile alsa-tools-1.2.5/pcxhrloader/gitcompile
--- alsa-tools-1.2.5.orig/pcxhrloader/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/pcxhrloader/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1
diff -Naur alsa-tools-1.2.5.orig/qlo10k1/gitcompile alsa-tools-1.2.5/qlo10k1/gitcompile
--- alsa-tools-1.2.5.orig/qlo10k1/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/qlo10k1/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
autoreconf -fi || exit 1
export CFLAGS='-O2 -Wall -pipe -g'
diff -Naur alsa-tools-1.2.5.orig/rmedigicontrol/gitcompile alsa-tools-1.2.5/rmedigicontrol/gitcompile
--- alsa-tools-1.2.5.orig/rmedigicontrol/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/rmedigicontrol/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/sb16_csp/gitcompile alsa-tools-1.2.5/sb16_csp/gitcompile
--- alsa-tools-1.2.5.orig/sb16_csp/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/sb16_csp/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/seq/sbiload/gitcompile alsa-tools-1.2.5/seq/sbiload/gitcompile
--- alsa-tools-1.2.5.orig/seq/sbiload/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/seq/sbiload/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/sscape_ctl/gitcompile alsa-tools-1.2.5/sscape_ctl/gitcompile
--- alsa-tools-1.2.5.orig/sscape_ctl/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/sscape_ctl/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if test -z "$AUTOMAKE_DIR"; then
if test -d /usr/local/share/automake; then
@@ -13,7 +13,7 @@
fi
for f in install-sh mkinstalldirs missing; do
- cp -av $AUTOMAKE_DIR/$f . || exit 1
+ cp $AUTOMAKE_DIR/$f . || exit 1
done
aclocal $ACLOCAL_FLAGS || exit 1
diff -Naur alsa-tools-1.2.5.orig/us428control/gitcompile alsa-tools-1.2.5/us428control/gitcompile
--- alsa-tools-1.2.5.orig/us428control/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/us428control/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1
diff -Naur alsa-tools-1.2.5.orig/usx2yloader/gitcompile alsa-tools-1.2.5/usx2yloader/gitcompile
--- alsa-tools-1.2.5.orig/usx2yloader/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/usx2yloader/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1
diff -Naur alsa-tools-1.2.5.orig/vxloader/gitcompile alsa-tools-1.2.5/vxloader/gitcompile
--- alsa-tools-1.2.5.orig/vxloader/gitcompile Thu May 27 13:18:38 2021
+++ alsa-tools-1.2.5/vxloader/gitcompile Mon Sep 12 18:30:44 2022
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
aclocal $ACLOCAL_FLAGS || exit 1
automake --foreign --add-missing || exit 1